package ru.ulstu.paper.model;

import java.util.List;

public class PaperFilterDto {
    private List<PaperDto> papers;
    private Integer filterAuthorId;
    private Integer year;

    public PaperFilterDto() {
    }

    public PaperFilterDto(List<PaperDto> paperDtos, Integer filterAuthorId, Integer year) {
        this.papers = paperDtos;
        this.filterAuthorId = filterAuthorId;
        this.year = year;
    }

    public List<PaperDto> getPapers() {
        return papers;
    }

    public void setPapers(List<PaperDto> papers) {
        this.papers = papers;
    }

    public Integer getFilterAuthorId() {
        return filterAuthorId;
    }

    public void setFilterAuthorId(Integer filterAuthorId) {
        this.filterAuthorId = filterAuthorId;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }
}
